Subject: Re: bug#51371: 28.0.50; [PATCH] Make list-colors-display sorting support general

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 15:08:47 -0700

dalanicolai <[email-masked]> writes:

> (@stefan Did not notice it was a group message)
>
> Not really, I think. But if so then I guess we could just call it with
> list-colors-sort set to nil:
> ```
> (let ((list-colors-sort 'nil))
                          ^ no need to quote nil, BTW.
>   (list-colors-display (mapcar #'car shr-color-html-colors-alist)
>                        nil))
> ```

Do we have any data from e.g. GNU ELPA, MELPA, GitHub or something to
back that up?

I checked, and we have only one call to `list-colors-display' in the
Emacs tree: in `widget-color--choose-action'.  Does that function still
work as it should with your patch?